### Method

# Gtk FileChooserset_action

deprecated: 4.10

#### Declaration [src]

    void
    gtk_file_chooser_set_action (
      GtkFileChooser* chooser,
      GtkFileChooserAction action
    )

#### Description [src]

Sets the type of operation that the chooser is performing.

The user interface is adapted to suit the selected action.

For example, an option to create a new folder might be shown if the action is `GTK_FILE_CHOOSER_ACTION_SAVE` but not if the action is `GTK_FILE_CHOOSER_ACTION_OPEN`.

Deprecated since: 4.10

Use `GtkFileDialog` instead.

Sets property | `Gtk.FileChooser:action`

#### Parameters

`action`

  Type: `GtkFileChooserAction`

  The action that the file selector is performing.